Create Wikimania wiki
Closed, ResolvedPublic

Description

Let's create https://wikimania.wikimedia.org this time.

Old description: Please create a wiki for Wikimania 2019. In the format wikimania2019.wikimedia.org.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJul 13 2018, 7:59 AM
Jopparn updated the task description. (Show Details)Jul 13 2018, 8:35 AM

I think it would be terrific to to combine/have one but is this extra work? Usually we just create a single one each year.... Whatever you think would work best. We need to get this done asap so the folks can announce/put up the conference wiki in the next couple of weeks for 2018.... Thanks, ellie

Given this, and no clear ownership for making the decision for a combined wiki, let's simply create wikimania2018.wm.o for now and *immediately* file a task about a combined wiki moving forward that we can bike-shed on for at most 11 months (before the call for wikimania2019.wm.o is filed).

Did we ever do that?

No, I think... Let's do it this year, I think.

revi added a subscriber: revi.Jul 13 2018, 12:09 PM

I think this request must be processed.

Urbanecm triaged this task as Low priority.Jul 14 2018, 10:20 AM

Please get us logo in SVG please, ideally as a link to Commons.

Change 445765 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Initial configuration for wikimania2019wiki

https://gerrit.wikimedia.org/r/445765

Change 445766 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/puppet@production] Add wikimania2019wiki

https://gerrit.wikimedia.org/r/445766

Reedy added a comment.EditedJul 14 2018, 11:56 AM

I think this request must be processed.

I honestly don’t think there’s any major rush. This years wikimania hasn’t even happened yet

We would much appreciate having it created asap as we are working on the content and will announce the city after this years Wikimania. Thanks

Please get us logo in SVG please, ideally as a link to Commons.

You mean for the Wikimania 2019 logo? We do not have one ready yet. Until then, could you please use the standard Wikimania logo without text? https://commons.wikimedia.org/wiki/File:Wikimania.svg

Jopparn added a comment.EditedJul 18 2018, 7:20 AM

I think this request must be processed.

I honestly don’t think there’s any major rush. This years wikimania hasn’t even happened yet

Please see my comment at 9:17.

Please get us logo in SVG please, ideally as a link to Commons.

You mean for the Wikimania 2019 logo? We do not have one ready yet. Until then, could you please use the standard Wikimania logo without text? https://commons.wikimedia.org/wiki/File:Wikimania.svg

Yes. Ok, I will. Should you have logo after the wiki will be created, please create new task. If you will have logo before then, just add a comment with logo URL and I'll amend my patches accordingly.

Change 446786 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/puppet@production] Add wikimania.wikimedia.org to apache ServerAlias

https://gerrit.wikimedia.org/r/446786

Please get us logo in SVG please, ideally as a link to Commons.

You mean for the Wikimania 2019 logo? We do not have one ready yet. Until then, could you please use the standard Wikimania logo without text? https://commons.wikimedia.org/wiki/File:Wikimania.svg

Yes. Ok, I will. Should you have logo after the wiki will be created, please create new task. If you will have logo before then, just add a comment with logo URL and I'll amend my patches accordingly.

Awesome! Thank you very much.

@Urbanecm @Reedy are any of the patches blocked by input from the Wikimania team? Are the patches actually competing solutions (wikimania.wikimedia.org vs. wikimania2019.wikimedia.org)?

Creating wikis is slow process. It is blocked on sysadmin part of work.

I plan to create wikimania2019.wikimedia.org now and work on wikimania.wikimedia.org right after wikimania2019. Hopefully it'll be sorted out before Wikimania 2020.

Creating wikis is slow process. It is blocked on sysadmin part of work.

I plan to create wikimania2019.wikimedia.org now and work on wikimania.wikimedia.org right after wikimania2019. Hopefully it'll be sorted out before Wikimania 2020.

Thanks for the update and the clarification.

Stryn added a subscriber: Stryn.Jul 24 2018, 7:22 PM

Change 445766 abandoned by Urbanecm:
Add wikimania2019wiki Apache configuration

Reason:
Seems 446786 has more complex solution.

https://gerrit.wikimedia.org/r/445766

Urbanecm removed Urbanecm as the assignee of this task.Jul 24 2018, 8:08 PM

Waiting on sysadmins&ops.

Change 448064 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/puppet@production] Add wikimania.wikimedia.org to apache ServerAlias

https://gerrit.wikimedia.org/r/448064

Change 446786 merged by Elukey:
[operations/puppet@production] Add wikimania.wikimedia.org to apache ServerAlias

https://gerrit.wikimedia.org/r/446786

Change 448064 merged by Elukey:
[operations/puppet@production] Add wikimania.wikimedia.org to apache ServerAlias

https://gerrit.wikimedia.org/r/448064

Thank you @Urbanecm!

Is there someone we can poke about this?

Here is a temporary logo for the conference that can be used: https://commons.wikimedia.org/wiki/File:StockholmCityHall-02.svg

@Jopparn Hello, you're welcome. @Reedy is the one who told he will create the wikis after https://gerrit.wikimedia.org/r/#/c/448064/ will be merged. That happened, so I've pinged him via IRC. Hopefully he will schedule the wiki creation window soon. You can always see what windows are scheduled by looking on https://wikitech.wikimedia.org/wiki/Deployments. Best, Martin

Hello @Jopparn, Reedy tried to create the wikis today. Unfortunately, creating wikis is broken (T200994). This task is a blocker for all wiki creations. Best, Martin

Change 445765 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for wikimaniawiki

https://gerrit.wikimedia.org/r/445765

Seems we were able to bypass the issue, wikis are being created now!

Urbanecm updated the task description. (Show Details)Aug 2 2018, 12:07 PM
Urbanecm renamed this task from Create Wikimania 2019 wiki to Create Wikimania wiki.
Urbanecm assigned this task to Reedy.Aug 2 2018, 12:26 PM

Wikis are live. Thank you @Reedy and all who helped! Leaving those tasks opened because other things will be necessary, as they always are when creating new wiki.

Change 450011 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/services/restbase/deploy@master] Add new wikis

https://gerrit.wikimedia.org/r/450011

Change 450010 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/services/parsoid@master] Update sitematrix.json

https://gerrit.wikimedia.org/r/450010

Change 450015 had a related patch set uploaded (by Reedy; owner: Reedy):
[analytics/refinery@master] Add new wikis

https://gerrit.wikimedia.org/r/450015

Change 450011 merged by Mobrovac:
[mediawiki/services/restbase/deploy@master] Add new wikis

https://gerrit.wikimedia.org/r/450011

Change 450010 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Update sitematrix.json

https://gerrit.wikimedia.org/r/450010

Change 450015 merged by Fdans:
[analytics/refinery@master] Add new wikis

https://gerrit.wikimedia.org/r/450015

Urbanecm closed this task as Resolved.Thu, Aug 23, 10:53 PM

Wiki's working.

Change 455886 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] add missing mobile domain for wikimania.wikimedia

https://gerrit.wikimedia.org/r/455886

Dzahn added a subscriber: Dzahn.Tue, Aug 28, 6:31 PM

lacking the mobile domain (also see: T152882)

Change 455886 merged by Dzahn:
[operations/dns@master] add missing mobile domain for wikimania.wikimedia

https://gerrit.wikimedia.org/r/455886